using DeviceCommand.Base;
using DeviceCommand.Devices;
using MainModule.Views;
using System.Reflection;
using UIShare.GlobalVariable;

namespace MainModule
{
    [Module(OnDemand=true)]
    public class MainModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion("ShellViewManager", typeof(MainView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<MainView>("MainView");
            containerRegistry.RegisterForNavigation<AutomatedTestingView>("AutomatedTestingView");
            containerRegistry.RegisterForNavigation<ProtocolStartView>("ProtocolStartView");
        }
    }
}
